> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radinai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Hailuo H3 Image to Video

> Video Generation using Hailuo H3 Image to Video, 2K with native stereo audio



## OpenAPI

````yaml /api-1(31).json post /v2/generation/hailuo-h3-image-to-video
openapi: 3.0.3
info:
  title: Radin AI API docs
  description: '### Welcome to Radin AI API docs'
  version: '1.0'
  contact:
    name: Support
    url: https://radinai.com/support
servers:
  - url: https://api2.radinai.com
    description: API base URL
security:
  - ApiKeyAuth: []
externalDocs:
  url: https://radinai.com/api-dashboard
  description: API Dashboard
paths:
  /v2/generation/hailuo-h3-image-to-video:
    post:
      tags:
        - Hailuo H3
      summary: Hailuo H3 Image to Video
      description: >-
        Video Generation using Hailuo H3 Image to Video, 2K with native stereo
        audio
      operationId: hailuo-h3-image-to-video
      parameters:
        - name: webhookUrl
          in: query
          required: false
          schema:
            type: string
            description: >-
              Your Webhook URL, if specified, the result of the generation will
              be POSTed to this URL.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  minLength: 0
                  maxLength: 7000
                  example: <your-prompt>
                duration:
                  type: string
                  enum:
                    - '4'
                    - '5'
                    - '6'
                    - '7'
                    - '8'
                    - '9'
                    - '10'
                    - '11'
                    - '12'
                    - '13'
                    - '14'
                    - '15'
                startImage:
                  type: string
                  minLength: 1
                endImage:
                  type: string
                  minLength: 1
                quality:
                  type: string
                  enum:
                    - 2k
              required:
                - prompt
                - duration
                - startImage
                - quality
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - genId
                properties:
                  genId:
                    type: string
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key, obtained from https://radinai.com/manage-api-keys

````